#ifndef MAIN_H
#define MAIN_H

#include <Arduino.h>


#define DISPLAY_UNDEFINED 1
#define DISPLAY_WATTAGE 2
#define DISPLAY_POWERBTN 3
#define DISPLAY_POWERACTIVEBTN 4
#define DISPLAY_WIFICONNECT 5
#define DISPLAY_ANALOGCLOCK 6
#define DISPLAY_INFO 7
#define DISPLAY_ALARM 8

//--- Analoguhrkrams
   
#define DEG2RAD 0.0174532925   
                                      
int myAnalogClockHour = 0;                                                                         
int myAnalogClockMinute = 0;                                                                         
int myAnalogClockSecond = 0;       
String myAnalogClockDateString;   
String myAnalogClockOldDateString;
boolean firstStartAnalogClock = true;
 
float sx = 0, sy = 1, mx = 1, my = 0, hx = -1, hy = 0;                              
float sdeg = 0, mdeg= 0, hdeg = 0;
uint16_t osx = 120, osy = 120, omx = 120, omy = 120, ohx = 120, ohy = 120;          
uint16_t x0=0, x1=0, yy0=0, yy1=0;
uint64_t targetTime = 0;   
void AnalogClock_createFace (int8_t);
void AnalogClock_updateZeiger(int8_t);
boolean isClockDisplayed();
boolean getInternetTime();


// ---- Callback fuer JPG Anzeige
bool tft_output(int16_t, int16_t, uint16_t, uint16_t, uint16_t);


//-----

int8_t getFreeInfoScreen();
void doMQTTPowerDown(int);
boolean doTasmotaSwitchOff(int);
boolean doTasmotaSwitchOn(int);

void connectToWifi();
void MQTTcallback(char*, byte*, uint32_t);
void MQTTReconnect();
void doSwitchOff(uint8_t);

String httpGETRequest(const char*);

void readTasmotaData(uint8_t);

void showAlarm(String, String);

void showInfoMessage(int8_t, String);
void clearInfoMessages();

void setup();
void loop();


#endif